/**
 * The geometry node for a teapot.
 *
 * @version 	1.00
 * @author      Blair MacIntyre
 */
public class jooglTeapot extends jooglGeometry {
    /** The size of the teapot. */
    protected double size;
    
    /** Create a teapot of a specified size 
     * @param _size the size of the teapot
     */
    public jooglTeapot (double _size)
    {
        super();
        size = _size;
    }
    
    /** Create a teapot of the default size, 1.0 units. 
     */
    public jooglTeapot ()
    {
        super();
        size = 1.0;
    }

    /**
     * Set the size of the teapot.
     * 
     * @param _size the new size of the teapot.
     */
    public void setSize(double _size)
    {
        size = _size;
    }

    /**
     * Get the size of the teapot.
     * 
     * @return the current size of the teapot.
     */
    public double getSize()
    {
        return size;
    }
    
    /** Internal function, to recreate the teapot display list.
     * <p>
     * NOTE: the glut Teapot is created assuming from facing triangles are CLOCKWISE.
     * You should normally use CounterCLOCKWISE, so you need to change the appropriate
     * setting before rendering the teapot.
     */
    protected void recreateDisplayList()
    {	
    }
}
